class RootController < ApplicationController
  def index
    find_categories
  end
  
  # Searches paths by name and description, using simple phrase match
  # TODO: Use indexed search engine such as Thinking Sphinx 
  def search
    if params[:q]
      # Build query
      @query = params[:q]
      query_sql = "%#{@query}%"
      conditions = [ 'public = ? AND (name LIKE ? OR description LIKE ?)', true, query_sql, query_sql ]

      @paths = Path.paginate( :conditions => conditions, :page => params[:page], :include => :user, :order => 'name ASC' )
        
      respond_to do |format|
        format.html
        format.xml { render_paths_as_xml @paths }
      end
    end
  end
end
