# Methods added to this helper will be available to all templates in the application.
module ApplicationHelper
  def form_field_error(object, method, tag, prepend_text = 'Error: ', append_text = '', css_class = 'field-error')
    if (obj = (object.respond_to?(:errors) ? object : instance_variable_get("@#{object}"))) &&
      (errors = obj.errors.on(method))
      content_tag(tag, "#{prepend_text}#{errors.is_a?(Array) ? errors.first : errors}#{append_text}", :class => css_class)
    else 
      ''
    end
  end
  
  def object_errors(object, tag = 'div', tag_join = "\n", prepend_text = '', append_text = '', css_class = 'object-error')
    if (obj = (object.respond_to?(:errors) ? object : instance_variable_get("@#{object}"))) &&
      (errors = obj.errors.on_base)
      errors.collect { |error| content_tag(tag, "#{prepend_text}#{error}#{append_text}", :class => css_class) }.join(tag_join)
    else 
      ''
    end
  end
  
  def required_field
   content_tag('strong', 'Required.')
 end
 
  def logged_in_user?(user)
    @authenticated_user && (@authenticated_user.name == (user.is_a?(String) ? user : user.name))
  end
  
  def admin_logged_in?
    @authenticated_user && @authenticated_user.admin?
  end
  
  def nl2br(string)
    string.gsub(/(\r\n|\r|\n)/, '<br/>')
  end
end
