class Category < ActiveRecord::Base
  cattr_reader :xml_fields
  @@xml_fields = [ :name ]

  # Prevent mass-assignment of other attributes.
  attr_accessible :name
  
  # A path can be associated with many categories.
  # Only ever fetch those that are public through this association.
  has_and_belongs_to_many :paths, :join_table => 'paths_categories', :conditions => [ 'public=?', true ]
  
  validates_presence_of :name
  validates_uniqueness_of :name
end
