ActionController::Routing::Routes.draw do |map|
  map.root :controller => 'root', :action => 'index'
  map.search 'search', :controller => 'root', :action => 'search'
  map.help 'help', :controller => 'root', :action => 'help'
  
  map.resources :users do |user|
    user.resources :paths do |path|
      path.resources :points
    end
  end
  
  map.delete_user 'users/:id/delete', :controller => 'users', :action => 'delete'
  map.delete_user_path 'users/:user_id/paths/:id/delete', :controller => 'paths', :action => 'delete'
  map.delete_user_path_point 'users/:user_id/paths/:path_id/points/:id/delete', :controller => 'points', :action => 'delete'
  
  map.path_viewer 'path/:alias/:page', :controller => 'paths', :action => 'viewer', :page => 1
  
  map.resources :categories, :member => { :paths => :get }
  map.delete_category 'categories/:id/delete', :controller => 'categories', :action => 'delete'
  
  map.resources :password, :singular => :password_reset_key
  
  map.with_options :controller => 'login' do |login|
    login.login 'login', :action => 'login'
    login.logout 'logout', :action => 'logout'
  end
  
  map.connect ':controller/:action/:id'
  map.connect ':controller/:action/:id.:format'
end
