# This file is auto-generated from the current state of the database. Instead of editing this file, 
# please use the migrations feature of Active Record to incrementally modify your database, and
# then regenerate this schema definition.
#
# Note that this schema.rb definition is the authoritative source for your database schema. If you need
# to create the application database on another system, you should be using db:schema:load, not running
# all the migrations from scratch. The latter is a flawed and unsustainable approach (the more migrations
# you'll amass, the slower it'll run and the greater likelihood for issues).
#
# It's strongly recommended to check this file into your version control system.

ActiveRecord::Schema.define(:version => 20100114111511) do

  create_table "categories", :force => true do |t|
    t.string   "name",       :limit => 100
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  create_table "password_reset_keys", :force => true do |t|
    t.integer  "user_id"
    t.string   "key",        :limit => 32
    t.datetime "created_at"
    t.datetime "updated_at"
    t.datetime "expiry"
  end

  create_table "paths", :force => true do |t|
    t.integer  "user_id"
    t.string   "name",        :limit => 100
    t.text     "description"
    t.boolean  "public"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.string   "alias",       :limit => 6
  end

  add_index "paths", ["alias"], :name => "index_paths_on_alias", :unique => true
  add_index "paths", ["user_id", "name"], :name => "index_paths_on_user_id_and_name", :unique => true
  add_index "paths", ["user_id"], :name => "index_paths_on_user_id"

  create_table "paths_categories", :id => false, :force => true do |t|
    t.integer "path_id",     :null => false
    t.integer "category_id", :null => false
  end

  create_table "points", :force => true do |t|
    t.integer  "path_id"
    t.integer  "position"
    t.text     "uri"
    t.string   "name"
    t.text     "description"
    t.datetime "created_at"
    t.datetime "updated_at"
  end

  add_index "points", ["path_id"], :name => "index_points_on_path_id"

  create_table "users", :force => true do |t|
    t.string   "name",          :limit => 32
    t.string   "full_name"
    t.string   "email"
    t.string   "password_hash"
    t.datetime "created_at"
    t.datetime "updated_at"
    t.boolean  "admin",                       :default => false, :null => false
  end

  add_index "users", ["name"], :name => "index_users_on_name", :unique => true

end
