namespace :pct do
  desc "Runs PCT database clean up tasks. Schedule to run regularly."
  task :cron => :environment do
    # Delete old password reset keys from database.
    expiration_conditions = ['created_at < ?', Time.zone.now - PasswordResetKey::TTL]
    prks = PasswordResetKey.count(:all, :conditions => expiration_conditions)
    if prks == 0
      puts "No expired password reset keys. Nothing to do."
    else
      print "Found #{prks} expired password reset key(s). Destroying... "
      begin
        PasswordResetKey.destroy_all(expiration_conditions)
        puts 'OK.'
      rescue e
        puts "FAILED: #{e.message}."
      end
    end
  end
end