require 'test_helper'

class RootControllerTest < ActionController::TestCase
  test "root" do
    get :index
    assert_response_code 200
  end
  
  test "get routes" do
    user = users(:bob)
    uri_user_name = URI.escape(user.name)
    path = user.paths.select {|path| path.points.size > 0}.first
    uri_path_name = URI.escape(path.name)
    point = path.points.first
    
    assert_routing("/users/#{uri_user_name}", :controller => "users", :action => "show", :id => user.name)
    assert_routing("/users/#{uri_user_name}/paths", :controller => "paths", :action => "index", :user_id => user.name)
    assert_routing("/users/#{uri_user_name}/paths/#{uri_path_name}", :controller => "paths", :action => "show", :user_id => user.name, :id => path.name)
    assert_routing("/users/#{uri_user_name}/paths/#{uri_path_name}/points", :controller => "points", :action => "index", :user_id => user.name, :path_id => path.name)
    assert_routing("/users/#{uri_user_name}/paths/#{uri_path_name}/points/#{point.position}", :controller => "points", :action => "show", :user_id => user.name, :path_id => path.name, :id => point.position.to_s)
  end
end
